Mail::Filter(3)

NAME
Mail::Filter - filter mail through multiple subroutines

SYNOPSIS
 use Mail::Filter;

 my $filter = Mail::Filter->new( \&filter1, \&filter2 );

 my $mail   = Mail::Internet->new( [<>] );
 my $mail   = $filter->filter($mail);

 my $folder = Mail::Folder->new( .... );
 my $filter->filter($folder);

DESCRIPTION
"Mail::Filter" provides an interface to filtering Email through multiple subroutines.

"Mail::Filter" filters mail by calling each filter subroutine in turn. Each filter subroutine is called with two arguments, the first is the filter object and the second is the mail or folder object being filtered.

The result from each filter sub is passed to the next filter as the mail object. If a filter subroutine returns undef, then "Mail::Filter" will abort and return immediately.

The function returns the result from the last subroutine to operate on the mail object.

METHODS

  Constructors

Mail::Filter->new(@filters)
    Create a new "Mail::Filter" object with the given filter subroutines. Each filter may be either a code reference or the name of a method to call on the <Mail::Filter> object.

  Accessors

$obj->add(@filters)
    Add the given @filters to the end of the filter list.

  Processing

$obj->filter($mail|$folder)
    If the first argument is a Mail::Internet object, then this object will be passed through the filter list. If the first argument is a Mail::Folder object, then each message in turn will be passed through the filter list.

$obj->folder()
    While the filter() method is called with a Mail::Folder object, these filter subroutines can call this method to obtain the folder object that is being processed.

$obj->msgnum()
    If the filter() method is called with a Mail::Folder object, then the filter subroutines may call this method to obtain the message number of the message that is being processed.

SEE ALSO
This module is part of the MailTools distribution, http://perl.overmeer.net/mailtools/.

AUTHORS
The MailTools bundle was developed by Graham Barr. Later, Mark Overmeer took over maintenance without commitment to further development.

Mail::Cap by Gisle Aas <aas@oslonett.no>. Mail::Field::AddrList by Peter Orbaek <poe@cit.dk>. Mail::Mailer and Mail::Send by Tim Bunce <Tim.Bunce@ig.co.uk>. For other contributors see ChangeLog.

LICENSE
Copyrights 1995-2000 Graham Barr <gbarr@pobox.com> and 2001-2017 Mark Overmeer <perl@overmeer.net>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself. See http://www.perl.com/perl/misc/Artistic.html